Package org.eclipse.emf.spi.cdo

# Enum Class DefaultCDOMerger.PerFeature.ManyValued.OccurrenceConflictPolicy

java.lang.Object
java.lang.Enum<DefaultCDOMerger.PerFeature.ManyValued.OccurrenceConflictPolicy>
org.eclipse.emf.spi.cdo.DefaultCDOMerger.PerFeature.ManyValued.OccurrenceConflictPolicy

All Implemented Interfaces:
  `Serializable`, `Comparable<DefaultCDOMerger.PerFeature.ManyValued.OccurrenceConflictPolicy>`, `Constable`

Enclosing class:
  `DefaultCDOMerger.PerFeature.ManyValued`

public static enum DefaultCDOMerger.PerFeature.ManyValued.OccurrenceConflictPolicy extends Enum<DefaultCDOMerger.PerFeature.ManyValued.OccurrenceConflictPolicy>
Immutable policy for genuinely incompatible changes to one ancestor occurrence lineage.

Since:
  4.30
Author:
  Eike Stepper

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DEFAULT`
Keep replacement content against removal, remove placement-only mutations, and prefer target otherwise.
`FAIL`
Report every genuine incompatible occurrence change as a merge conflict.
`PREFER_SOURCE`
Select source for genuine replacement/placement conflicts and source's presence choice against removal.
`PREFER_TARGET`
Select target for genuine replacement/placement conflicts and target's presence choice against removal.

## Method Summary

Modifier and Type
Method
Description
`static DefaultCDOMerger.PerFeature.ManyValued.OccurrenceConflictPolicy`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static DefaultCDOMerger.PerFeature.ManyValued.OccurrenceConflictPolicy[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### DEFAULT

public static final DefaultCDOMerger.PerFeature.ManyValued.OccurrenceConflictPolicy DEFAULT
Keep replacement content against removal, remove placement-only mutations, and prefer target otherwise.

### PREFER_SOURCE

public static final DefaultCDOMerger.PerFeature.ManyValued.OccurrenceConflictPolicy PREFER_SOURCE
Select source for genuine replacement/placement conflicts and source's presence choice against removal.

### PREFER_TARGET

public static final DefaultCDOMerger.PerFeature.ManyValued.OccurrenceConflictPolicy PREFER_TARGET
Select target for genuine replacement/placement conflicts and target's presence choice against removal.

### FAIL

public static final DefaultCDOMerger.PerFeature.ManyValued.OccurrenceConflictPolicy FAIL
Report every genuine incompatible occurrence change as a merge conflict.

## Method Details

### values

public static DefaultCDOMerger.PerFeature.ManyValued.OccurrenceConflictPolicy[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static DefaultCDOMerger.PerFeature.ManyValued.OccurrenceConflictPolicy valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null